### Function

# Dex aio_write

unstable since: 1

#### Declaration [src]

    DexFuture*
    dex_aio_write (
      DexAioContext* aio_context,
      int fd,
      gconstpointer buffer,
      gsize count,
      goffset offset
    )

#### Description [src]

An asynchronous `pwrite()` wrapper.

Available since: 1

#### Parameters

`aio_context`

  Type: `DexAioContext`

  No description available.

  The data is owned by the caller of the function.

`fd`

  Type: `int`

  No description available.

`buffer`

  Type: `gconstpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`count`

  Type: `gsize`

  No description available.

`offset`

  Type: `goffset`

  No description available.

#### Return value

Type: `DexFuture`

A future that will resolve when the write completes or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.